Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.sql
Class SqlWhereVisitor

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          groovy.sql.SqlWhereVisitor

    class SqlWhereVisitor
    extends CodeVisitorSupport

author:
  James Strachan

version:
  $Revision: 7922 $

Constructor Summary
`SqlWhereVisitor()`

Method Summary
`List` | `getParameters()`
`String` | `getWhere()`
`protected String` | `tokenAsSql(Token token)`
`void` | `visitBinaryExpression(BinaryExpression expression)`
`void` | `visitBooleanExpression(BooleanExpression expression)`
`void` | `visitConstantExpression(ConstantExpression expression)`
`void` | `visitPropertyExpression(PropertyExpression expression)`
`void` | `visitReturnStatement(ReturnStatement statement)`

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### SqlWhereVisitor

    SqlWhereVisitor()

Method Detail

### getParameters

    public List getParameters()

### getWhere

    public String getWhere()

### tokenAsSql

    protected String tokenAsSql(Token token)

### visitBinaryExpression

    public void visitBinaryExpression(BinaryExpression expression)

### visitBooleanExpression

    public void visitBooleanExpression(BooleanExpression expression)

### visitConstantExpression

    public void visitConstantExpression(ConstantExpression expression)

### visitPropertyExpression

    public void visitPropertyExpression(PropertyExpression expression)

### visitReturnStatement

    public void visitReturnStatement(ReturnStatement statement)

Copyright © 2003-2009 The Codehaus. All rights reserved.